package com.example.pap_findu.models;

import com.google.firebase.firestore.DocumentId;
import java.util.Date;

public class AlertMessage {

    @DocumentId
    private String id;

    private String title;
    private String message;
    private Date timestamp;
    private String type;   // "URGENT" ou "INFO"
    private String status; // "PENDING" ou "RESOLVED"
    private String childCode; // Código do filho para isolamento de dados

    // Required empty constructor for Firestore
    public AlertMessage() {
    }

    public AlertMessage(String id, String title, String message, Date timestamp, String type, String status) {
        this.id = id;
        this.title = title;
        this.message = message;
        this.timestamp = timestamp;
        this.type = type;
        this.status = status;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getChildCode() {
        return childCode;
    }

    public void setChildCode(String childCode) {
        this.childCode = childCode;
    }
}